﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }

    private void BindGrid()
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT * FROM Customers", con))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    DataTable dt = new DataTable();
                    sda.Fill(dt);
                    gvCustomers.DataSource = dt;
                    gvCustomers.DataBind();

                    if (gvCustomers.Rows.Count > 0)
                    {
                        //Adds THEAD and TBODY Section.
                        gvCustomers.HeaderRow.TableSection = TableRowSection.TableHeader;

                        //Adds TH element in Header Row.   
                        gvCustomers.UseAccessibleHeader = true;

                        //Adds TFOOT section.  
                        gvCustomers.FooterRow.TableSection = TableRowSection.TableFooter;
                    }
                }
            }
        }
    }
}