﻿
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Private Sub BindGrid()
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand("SELECT * FROM Customers", con)
                Using sda As SqlDataAdapter = New SqlDataAdapter(cmd)
                    Dim dt As DataTable = New DataTable()
                    sda.Fill(dt)
                    gvCustomers.DataSource = dt
                    gvCustomers.DataBind()

                    If gvCustomers.Rows.Count > 0 Then
                        'Adds THEAD and TBODY Section.
                        gvCustomers.HeaderRow.TableSection = TableRowSection.TableHeader

                        'Adds TH element in Header Row.   
                        gvCustomers.UseAccessibleHeader = True

                        'Adds TFOOT section.  
                        gvCustomers.FooterRow.TableSection = TableRowSection.TableFooter
                    End If
                End Using
            End Using
        End Using
    End Sub
End Class
